/* SASL C functions */
/* Larry Greenfield, 19 Jul 99 */

C_CALLS_CFUNC("sasl_done", sasl_done, void, (void))
C_CALLS_CFUNC("sasl_dispose", sasl_dispose, void, (void **pconn))
C_CALLS_CFUNC("sasl_usererr", sasl_usererr, int, (int))
C_CALLS_CFUNC("sasl_errstring", sasl_errstring, char *, (int, char *, char **))
C_CALLS_CFUNC("sasl_getprop", sasl_getprop, int, (void *, int, void **))
C_CALLS_CFUNC("sasl_setprop", sasl_setprop, int, (void *, int, void *))
C_CALLS_CFUNC("sasl_idle", sasl_idle, int, (void *))

/* client API */
C_CALLS_CFUNC("sasl_client_init", sasl_client_init, int, (void *))
C_CALLS_CFUNC("sasl_client_new", sasl_client_new, int, (char *, char *, void *, int, void **))
C_CALLS_CFUNC("sasl_client_start", sasl_client_start, int, (void *, char *, void *, void **, char **, unsigned *, char **))
C_CALLS_CFUNC("sasl_client_step", sasl_client_step, int, (void *, char *, unsigned, void **, char **, unsigned *))
C_CALLS_CFUNC("sasl_client_auth", sasl_client_auth, int, (void *, char *, char *, unsigned, void *, void **))
C_CALLS_CFUNC("sasl_free_secret", sasl_free_secret, void, (void **))

/* server API */
C_CALLS_CFUNC("sasl_server_init", sasl_server_init, int, (void *, char *))
C_CALLS_CFUNC("sasl_server_new", sasl_server_new, int, (char *, char *, char *, void *, int, void **))
C_CALLS_CFUNC("sasl_listmech", sasl_listmech, int, (void *, char *, char *, char *, char *, char **, unsigned *, unsigned *))
C_CALLS_CFUNC("sasl_server_start", sasl_server_start, int, (void *, char *, void *, unsigned, void **, unsigned *, void *))
C_CALLS_CFUNC("sasl_server_step", sasl_server_step, int, (void *, void *, unsigned, void **, unsigned *, void *))
C_CALLS_CFUNC("sasl_checkpass", sasl_checkpass, int, (void *, char *, unsigned, char *, unsigned, char **))
/* C_CALLS_CFUNC("sasl_user_exists", sasl_user_exists, int, (char *, char *, char *)) */
C_CALLS_CFUNC("sasl_setpass", sasl_setpass, int, (void *, char *, char *, unsigned, int, char **))

/* security layer */

C_CALLS_CFUNC("sasl_encode", sasl_encode, int, (void *, char *, unsigned, char **, unsigned *))
C_CALLS_CFUNC("sasl_decode", sasl_decode, int, (void *, char *, unsigned, char **, unsigned *))
